Skip to main content
`Ctrl`+`K`

# EPSGetInvariantSubspace

Gets an orthonormal basis of the computed invariant subspace.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetInvariantSubspace(EPS eps,Vec v[])

Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- v - an array of vectors

## Notes

This function should be called after `EPSSolve()` has finished.

The user should provide in `v` an array of `nconv` vectors, where `nconv` is the value returned by `EPSGetConverged()`.

The first \(k\) vectors returned in `v` span an invariant subspace associated with the first \(k\) computed eigenvalues (note that this is not true if the \(k\)-th eigenvalue is complex and matrix \(A\) is real; in this case the first \(k+1\) vectors should be used). An invariant subspace \(X\) of \(A\) satisfies \(Ax\in X, \forall x\in X\) (a similar definition applies for generalized eigenproblems).

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetEigenpair()`, `EPSGetConverged()`, `EPSSolve()`

## Level

intermediate

## Location

src/eps/interface/epssolve.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages